package xyz.suancaiyu.main;

import org.apache.ibatis.session.SqlSession;
import org.apache.logging.log4j.LogManager;
import org.apache.logging.log4j.Logger;
import xyz.suancaiyu.dao.RoleDao;
import xyz.suancaiyu.util.SqlSessionFactoryUtil;

/**
 * Created by puruidong on 2017/6/21.
 */
public class C4Main {

    private static Logger logger = LogManager.getLogger(C4Main.class.getName());

    public static void main(String[] args) {
        SqlSession sqlSession = null;
        try {
            sqlSession = SqlSessionFactoryUtil.openSqlSession();
            RoleDao userDao = sqlSession.getMapper(RoleDao.class);
            System.out.println(userDao.getRole(2L));
            //roleMapper.deleteRole(1L);
            //sqlSession.commit();
        } catch (Exception e) {
            System.err.println(e.getMessage());
            //sqlSession.rollback();
        } finally {
            if (sqlSession != null) {
                sqlSession.close();
            }
        }
        logger.info("执行成功!");


    }
}
