package xyz.suancaiyu.main;

import org.apache.ibatis.session.SqlSession;
import org.apache.logging.log4j.LogManager;
import org.apache.logging.log4j.Logger;
import xyz.suancaiyu.dao.RoleDao;
import xyz.suancaiyu.util.SqlSessionFactoryUtil;

/**
 *
 * 4.7.4
 * ---------------
 * 代码4-23
 *
 * Created by puweidong on 2017/7/9.
 */
public class C4Main {
    private static Logger logger = LogManager.getLogger(C4Main.class.getName());

    public static void main(String[] args) {
        SqlSession sqlSession = null;
        try {
            sqlSession = SqlSessionFactoryUtil.openSqlSession();
            RoleDao roleDao = sqlSession.getMapper(RoleDao.class);
            System.out.println(roleDao.getRole(2).toString());
            System.out.println("-------------------------------------------------------------->");
        } catch (Exception e) {
            e.printStackTrace();
            System.err.println(e.getMessage());
        } finally {
            if (sqlSession != null) {
                sqlSession.close();
            }
        }
        logger.info("执行成功!");
    }
}
