package xyz.suancaiyu.main;

import org.apache.ibatis.session.SqlSession;
import org.apache.logging.log4j.LogManager;
import org.apache.logging.log4j.Logger;
import xyz.suancaiyu.dao.RoleDao;
import xyz.suancaiyu.pojo.Role;
import xyz.suancaiyu.util.SqlSessionFactoryUtil;


/**
 * 4.4 :
 * update和delete元素.
 *
 *
 * Created by puruidong on 2017/6/26.
 */
public class C4Main {

    private static Logger logger = LogManager.getLogger(C4Main.class.getName());

    public static void main(String[] args) {
        SqlSession sqlSession = null;
        try {
            sqlSession = SqlSessionFactoryUtil.openSqlSession();
            RoleDao roleDao = sqlSession.getMapper(RoleDao.class);
            Role param = new Role();
            param.setId(2);
            param.setRoleName("me111123123459");
            param.setNote("te22upouidateaer");
            roleDao.updateRole(param);
            roleDao.selectAllData().forEach(x-> System.out.println(x.toString()));
            System.out.println("-------------------------------------------------------------->");
            roleDao.deleteRole(2);
            roleDao.selectAllData().forEach(x-> System.out.println(x.toString()));
            System.out.println("-------------------------------------------------------------->");
        } catch (Exception e) {
            e.printStackTrace();
            System.err.println(e.getMessage());
        } finally {
            if (sqlSession != null) {
                sqlSession.close();
            }
        }
        logger.info("执行成功!");
    }
}
