package xyz.suancaiyu.dao;

import org.apache.ibatis.annotations.Param;
import xyz.suancaiyu.pojo.Role;

import java.util.List;

/**
 * Created by puruidong on 2017/7/11.
 */
public interface RoleDao {

    /**
     * 5.2 if
     *
     * @param roleName
     * @return
     */
    List<Role> findRolesIf(@Param("roleName") String roleName);


    /**
     * 5.3 choose,when,otherwise元素
     *
     * @return
     */
    List<Role> findChooseWhenOtherWise(@Param("id") String id, @Param("roleName") String roleName);


    /* 5.4 trim,where,set元素  */

    /**
     * where
     *
     * @param roleName
     * @return
     */
    List<Role> findWhere(@Param("roleName") String roleName);

    /**
     * trim
     *
     * @param roleName
     * @return
     */
    List<Role> findRoleTrim(@Param("roleName") String roleName);

    /**
     * set
     *
     * @param role
     * @return
     */
    int updateRole(@Param("role")Role role);

     /* 5.4 trim,where,set元素end  */


    /**
     * 5.6 test属性
     *
     * @param type
     * @return
     */
     List<Role> getRoleTest(@Param("type")String type);


    /**
     * 5.7 使用Bind元素.
     *
     *
     * @param roleName
     * @param note
     * @return
     */
     List<Role> findRoleMulBind(@Param("roleName")String roleName,@Param("note")String note);

}
