package xyz.suancaiyu.main;

import org.apache.ibatis.session.SqlSession;
import org.apache.logging.log4j.LogManager;
import org.apache.logging.log4j.Logger;
import xyz.suancaiyu.dao.RoleDao;
import xyz.suancaiyu.pojo.Role;
import xyz.suancaiyu.util.SqlSessionFactoryUtil;

/**
 * 7.插件(不是插件实例)
 *
 *
 * <p>
 * Created by puruidong on 2017/7/11.
 */
public class C7Main {

    private static final Logger log = LogManager.getLogger(C7Main.class);

    public static void main(String[] args) {
        SqlSession sqlSession = SqlSessionFactoryUtil.openSqlSession();
        RoleDao roleDao = sqlSession.getMapper(RoleDao.class);

        Role role = new Role();
        role.setRoleName("testinsert");
        role.setNote("备注信息一个.");
        roleDao.insertRole(role);

        log.info("执行成功!");
    }

}
