package xyz.suancaiyu.main;

import org.apache.ibatis.session.SqlSession;
import org.apache.logging.log4j.LogManager;
import org.apache.logging.log4j.Logger;
import xyz.suancaiyu.dao.StudentDao;
import xyz.suancaiyu.util.SqlSessionFactoryUtil;

/**
 * 4.7.4.1 -- 一对一级联
 * -------------------
 * <p>
 * <p>
 * <p>
 * <p>
 * Created by puweidong on 2017/7/9.
 */
public class C4Main {

    private static Logger logger = LogManager.getLogger(C4Main.class);

    public static void main(String[] args) {
        SqlSession sqlSession = null;
        try {
            sqlSession = SqlSessionFactoryUtil.openSqlSession();
            StudentDao studentDao = sqlSession.getMapper(StudentDao.class);
            System.out.println(studentDao.getStudent(1));
            System.out.println(studentDao.getStudent(2));
        } finally {
            if (sqlSession != null) {
                sqlSession.close();
            }
        }
        logger.info("执行成功!");
    }
}
