package xyz.suancaiyu.main;

import org.apache.ibatis.session.SqlSession;
import org.apache.logging.log4j.LogManager;
import org.apache.logging.log4j.Logger;
import xyz.suancaiyu.dao.RoleDao;
import xyz.suancaiyu.util.SqlSessionFactoryUtil;

import java.util.HashMap;
import java.util.Map;


/**
 * Created by puruidong on 2017/6/24.
 */
public class C4Main {

    private static Logger logger = LogManager.getLogger(C4Main.class.getName());

    public static void main(String[] args) {
        SqlSession sqlSession = null ;
        try{
            sqlSession = SqlSessionFactoryUtil.openSqlSession();
            RoleDao roleDao = sqlSession.getMapper(RoleDao.class);
            Map<String,String> paramsMap = new HashMap<>(2);
            paramsMap.put("roleName","me");
            paramsMap.put("note","te");
            roleDao.findRoleByMap(paramsMap).forEach(x->{
                System.out.println(x.toString());
            });
        }catch(Exception e){
            System.err.println(e.getMessage());
        }
        finally {
            if(sqlSession!=null){
                sqlSession.close();
            }
        }
        logger.info("执行成功!");
    }
}
